local modName = g_currentModName

source(g_currentModDirectory.."scripts/specializations/events/ManuelDischargerCreateObjectEvent.lua")
source(g_currentModDirectory.."scripts/specializations/events/ManuelDischargerStoreObjectEvent.lua")
source(g_currentModDirectory.."scripts/specializations/events/ManuelDischargerShowWarningEvent.lua")

g_specializationManager:addSpecialization('manuelDischarger', 'ManuelDischarger', Utils.getFilename('scripts/specializations/ManuelDischarger.lua', g_currentModDirectory), modName)

for vehicleName, vehicleType in pairs(g_vehicleTypeManager.types) do
	if vehicleType.name == "pallet" then
		g_vehicleTypeManager:addSpecialization(vehicleName, modName .. ".manuelDischarger")
	end
end