--[[
ConstructionDisplayExtension
This script adds a new Construction Tab.
By: [F/A] Braeven
Date: 01.10.2023
Version 1.0.0.0

Only for use with TerraLife, permission for other use can one be given through Braeven / Farming Agency
]]

ConstructionDisplayExtension = {}
ConstructionDisplayExtension.iconFile = "$moddir$FS22_TerraLifePlus/gui/buildingMenue_signs.dds"

function ConstructionDisplayExtension:addAnimalCategorieShop()
    g_storeManager:addConstructionTab("decoration", "signs", g_i18n:getText("TL_construction_signs"), ConstructionDisplayExtension.iconFile, GuiUtils.getUVs("0px 0 32px 32px",string.getVectorN("32 32", 2)), "")
end

function ConstructionDisplayExtension.loadMapData(xmlFile, missionInfo, baseDirectory)
    ConstructionDisplayExtension:addAnimalCategorieShop()
end

StoreManager.loadMapData = Utils.appendedFunction(StoreManager.loadMapData, ConstructionDisplayExtension.loadMapData)