InseminationEvent = {}
local InseminationEvent_mt = Class(InseminationEvent, Event)

InitEventClass(InseminationEvent, "InseminationEvent")

function InseminationEvent.emptyNew()
	local self = Event.new(InseminationEvent_mt)

	return self
end

function InseminationEvent.new(husbandry, clusterId, numberOfAnimals, mustBePaid)
	local self = InseminationEvent.emptyNew()
    self.husbandry = husbandry
	self.clusterId = clusterId
    self.numberOfAnimals = numberOfAnimals
    self.mustBePaid = mustBePaid

	return self
end

function InseminationEvent:readStream(streamId, connection)
    self.husbandry = NetworkUtil.readNodeObject(streamId)
    self.clusterId = streamReadInt32(streamId)
    self.numberOfAnimals = streamReadInt8(streamId)
    self.mustBePaid = streamReadBool(streamId)

	self:run(connection)
end

function InseminationEvent:writeStream(streamId, connection)
    NetworkUtil.writeNodeObject(streamId, self.husbandry)
	streamWriteInt32(streamId, self.clusterId)
    streamWriteInt8(streamId, self.numberOfAnimals)
    streamWriteBool(streamId, self.mustBePaid)
end

function InseminationEvent:run(connection)
	local clusterSystem = self.husbandry.spec_husbandryAnimals.clusterSystem
    local cluster = clusterSystem:getClusterById(self.clusterId)
    cluster:inseminate(self.numberOfAnimals, self.mustBePaid)
end