AnimalClusterHorseExtension = {}

function AnimalClusterHorseExtension.new(self, superFunc, customMt)
	local self = superFunc(self, customMt)
	
	self.riding = 100
	self.fitness = 100
	
	return self
end
AnimalClusterHorse.new = Utils.overwrittenFunction(AnimalClusterHorse.new, AnimalClusterHorseExtension.new)

function AnimalClusterHorseExtension:changeDirt(superFunc, delta)
	self.dirt = 0
end

AnimalClusterHorse.changeDirt = Utils.overwrittenFunction(AnimalClusterHorse.changeDirt, AnimalClusterHorseExtension.changeDirt)

function AnimalClusterHorseExtension:changeRiding(superFunc, delta)
	self.riding = 100
end

AnimalClusterHorse.changeRiding = Utils.overwrittenFunction(AnimalClusterHorse.changeRiding, AnimalClusterHorseExtension.changeRiding)

function AnimalClusterHorseExtension:changeFitness(superFunc, delta)
	self.fitness = 100
end

AnimalClusterHorse.changeFitness = Utils.overwrittenFunction(AnimalClusterHorse.changeFitness, AnimalClusterHorseExtension.changeFitness)

function AnimalClusterHorseExtension:getHealthChangeFactor(superFunc, foodFactor)
	local cleanlinessFactor = 1 - self:getDirtFactor()
	local fitnessFactor = self:getFitnessFactor()

	return 0.5 * foodFactor + 0.4 * fitnessFactor + 0.1 * cleanlinessFactor
end

AnimalClusterHorse.getHealthChangeFactor = Utils.overwrittenFunction(AnimalClusterHorse.getHealthChangeFactor, AnimalClusterHorseExtension.getHealthChangeFactor)

function AnimalClusterHorseExtension:addInfos(superFunc, infos)
	AnimalClusterHorse:superClass().addInfos(self, infos)
end

AnimalClusterHorse.addInfos = Utils.overwrittenFunction(AnimalClusterHorse.addInfos, AnimalClusterHorseExtension.addInfos)