
TLFillUnitExtension = {}
function TLFillUnitExtension:onLoad(superFunc, savegame)

	local xmlFile = self.xmlFile;

	-- filename="$moddir$FS22_GrimmePack/lizard/ConveyorLoader/ConveyorLoader.xml"
	if string.find(xmlFile.filename, "FS22_GrimmePack") and (string.find(xmlFile.filename, "ConveyorLoader.xml") or string.find(xmlFile.filename, "GBF5500.xml"))  then
		Logging.devInfo("ChangeVehicle xmlFile: " .. xmlFile.filename);
		
		xmlFile:setValue("vehicle.fillUnit.fillUnitConfigurations.fillUnitConfiguration(0).fillUnits.fillUnit(0)#fillTypes", "POTATO STARCHPOTATO SUGARBEET ONION")
	end
	
	return superFunc(self, savegame) 
end

FillUnit.onLoad = Utils.overwrittenFunction(FillUnit.onLoad, TLFillUnitExtension.onLoad)

function TLFillUnitExtension.loadSpecValueFillTypes(xmlFile, superFunc, customEnvironment, baseDir)

	-- TerraLiveExtension.DebugText("TLFillUnitExtension:loadSpecValueFillTypes(%s, %s, %s, %s)", xmlFile, superFunc, customEnvironment, baseDir)
	
	-- filename="$moddir$FS22_GrimmePack/lizard/ConveyorLoader/ConveyorLoader.xml"
	if string.find(xmlFile.filename, "FS22_GrimmePack") and (string.find(xmlFile.filename, "ConveyorLoader.xml") or string.find(xmlFile.filename, "GBF5500.xml"))  then
		Logging.devInfo("ChangeVehicle xmlFile: " .. xmlFile.filename);
		
		xmlFile:setValue("vehicle.fillUnit.fillUnitConfigurations.fillUnitConfiguration(0).fillUnits.fillUnit(0)#fillTypes", "POTATO STARCHPOTATO SUGARBEET ONION")
	end
	
	return superFunc(xmlFile, customEnvironment, baseDir) 
end

FillUnit.loadSpecValueFillTypes = Utils.overwrittenFunction(FillUnit.loadSpecValueFillTypes, TLFillUnitExtension.loadSpecValueFillTypes)