source(g_currentModDirectory .. "scripts/specializations/SowingMachineExtension.lua")

local modName = g_currentModName;

-- specialisation
g_specializationManager:addSpecialization('fillableImplementExtension', 'FillableImplementExtension', Utils.getFilename('scripts/specializations/FillableImplementExtension.lua', g_currentModDirectory), modName)

for vehicleName, vehicleType in pairs(g_vehicleTypeManager.types) do
	-- spezialisierung überall einfügen was vom typ fillableImplement ist
	if vehicleType.name == "fillableImplement" or vehicleType.name == "pdlc_horschAgrovation.fillableImplementExtended" or vehicleType.name == "pdlc_premiumExpansion.fillableImplementExtended" then
		g_vehicleTypeManager:addSpecialization(vehicleName, modName .. ".fillableImplementExtension")
	end
end