TerraLiveExtension = {
	COLORS = {
		GOOD = { 0, .8, 0, 1 },
		NEUTRAL = { .8, .4, .0, 1 },
		BAD = { .8, 0, 0, 1 }
	},
	BLINDCOLORS = {
		GOOD = { 0, .6, .5, 1 }, -- bluish green
		NEUTRAL = { .95, .9, .25, 1 }, -- yellow
		BAD = { .8, .4, 0, 1 } -- vermilion (orange-red)
	}
}
TerraLiveExtension.debugText = true;

function TerraLiveExtension.DebugTable(text, myTable, maxDepth)
	if myTable == nil then
		print("TLE: " .. text .. " is nil")
	else
		print("TLE: " .. text)
		DebugUtil.printTableRecursively(myTable,"_",0, maxDepth or 2)
	end
end

-- Beispiel: TerraLiveExtension.DebugText("Alter: %s", age)
function TerraLiveExtension.DebugText(text, ...)
	print("TLE: " .. string.format(text, ...))
end

