
EjectFoodEvent = {}
local EjectFoodEvent_mt = Class(EjectFoodEvent, Event)

InitEventClass(EjectFoodEvent, "EjectFoodEvent")

function EjectFoodEvent.emptyNew()
	local self = Event.new(EjectFoodEvent_mt)

	return self
end

function EjectFoodEvent.new(husbandry, target)
	local self = EjectFoodEvent.emptyNew()
	self.husbandry = husbandry
	self.target = target

	return self
end

function EjectFoodEvent:readStream(streamId, connection)
	self.husbandry = NetworkUtil.readNodeObject(streamId)
	self.target = streamReadString(streamId)

	self:run(connection)
end

function EjectFoodEvent:writeStream(streamId, connection)
	NetworkUtil.writeNodeObject(streamId, self.husbandry)
	streamWriteString(streamId, self.target)
end

function EjectFoodEvent:run(connection)
	self.husbandry:ejectFood(self.target)
end