
-- test im Shop daten an zu zeigen
TLShopConfigScreenExtension = {}
function TLShopConfigScreenExtension:registerCustomSpecValues(superFunc, values, storeItems, vehicle, saleItem)
	-- print("TLShopConfigScreenExtension:registerCustomSpecValues")
	
	superFunc(self, values, storeItems, vehicle, saleItem);
	
	
	-- TerraLiveExtension.DebugTable("TLShopConfigScreenExtension", vehicle.spec_fillUnit.fillUnits[1], 2)
	-- TerraLiveExtension.DebugText("FillType.SEEDS = %s", FillType.SEEDS)

	-- ausgeben
	if vehicle.spec_fillUnit ~= nil and vehicle.spec_fillUnit.fillUnits ~= nil and vehicle.spec_fillUnit.fillUnits[1] ~= nil and vehicle.spec_fillUnit.fillUnits[1].supportedFillTypes[FillType.SEEDS] ~= nil and (vehicle.spec_sowingMachine ~= nil or vehicle.spec_fAMultiItemPurchase~=nil or (vehicle.spec_FS22_TerraLifePlus~=nil and vehicle.spec_FS22_TerraLifePlus.fillableImplementExtension~=nil)) then
		local message = g_i18n:getText("TL_SeedsUsageWarning")
		message = message:split("/n")
		
		local profileToUse = ShopConfigScreen.GUI_PROFILE.CAPACITY;
		for i = 1, #message do
			table.insert(values, {
				profile = profileToUse,
				value = message[i]
			})
			profileToUse = "";
		end
	end

	--Message for Milkreplacer_powder
	if vehicle.spec_fAMultiItemPurchase ~= nil and vehicle.spec_fAMultiItemPurchase.fillType == FillType.MILKREPLACER_POWDER then
		local message = g_i18n:getText("TL_MilkreplacerWarning")
		message = message:split("/n")
		
		local profileToUse = ShopConfigScreen.GUI_PROFILE.CAPACITY;
		for i = 1, #message do
			table.insert(values, {
				profile = profileToUse,
				value = message[i]
			})
			profileToUse = "";
		end
	end
	
end

ShopConfigScreen.registerCustomSpecValues = Utils.overwrittenFunction(ShopConfigScreen.registerCustomSpecValues, TLShopConfigScreenExtension.registerCustomSpecValues)