GuiExtension = {}

function Gui:showNumPickerDialog(args)
	local dialog = self:showDialog("NumberPickerDialog")

	if dialog ~= nil and args ~= nil then
		dialog.target:setTitle(args.title)
        dialog.target:setMaxNumAnimals(args.maxNumAnimals)
		dialog.target:setCallback(args.callback, args.target, args.args)
        dialog.target:setButtonTexts(args.confirmText, args.imePrompt)
	end
end

function Gui:showEjectColostrumDialog(args)
	local dialog = self:showDialog("EjectColostrumDialog")

	if dialog ~= nil and args ~= nil then
		dialog.target:setCallback(args.callback, args.target, args.hasColostrumStorage)
	end
end