milkTaxi = {}

function milkTaxi.prerequisitesPresent(specializations)
	return true
end



function milkTaxi.registerOverwrittenFunctions(vehicleType)
	SpecializationUtil.registerOverwrittenFunction(vehicleType, "addFillUnitFillLevel", milkTaxi.addFillUnitFillLevel)
	SpecializationUtil.registerOverwrittenFunction(vehicleType, "getFillUnitAllowsFillType", milkTaxi.getFillUnitAllowsFillType)
end



function milkTaxi:addFillUnitFillLevel(superFunc, farmId, fillUnitIndex, fillLevelDelta, fillTypeIndex, toolType, fillPositionData)
	local delta = 0
	if fillTypeIndex == FillType.MILKREPLACER_POWDER then
		fillTypeIndex = FillType.MILKREPLACER
		fillLevelDelta = fillLevelDelta * 5
		delta = superFunc(self, farmId, fillUnitIndex, fillLevelDelta, fillTypeIndex, toolType, fillPositionData)
		delta = delta / 5
	else
		delta = superFunc(self, farmId, fillUnitIndex, fillLevelDelta, fillTypeIndex, toolType, fillPositionData)
	end

	return delta
end

function milkTaxi:getFillUnitAllowsFillType(superFunc, fillUnitIndex, fillTypeIndex)
	if fillTypeIndex == FillType.MILKREPLACER_POWDER then
		fillTypeIndex = FillType.MILKREPLACER;
	end
	return superFunc(self, fillUnitIndex, fillTypeIndex)
end