NoTillSowingMachine = {}

NoTillSowingMachine.weedStateChanges = {
	OILSEEDRADISH = {
		{ stateStart = 4, stateEnd = 4, weedState = 28},
		{ stateStart = 5, stateEnd = 5, weedState = 19},
		{ stateStart = 6, stateEnd = 6, weedState = 30},
		{ stateStart = 13, stateEnd = 17, weedState = 2},
		{ stateStart = 18, stateEnd = 28, weedState = 29},
		{ stateStart = 29, stateEnd = 29, weedState = 31},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	MAISMIX = {
		{ stateStart = 4, stateEnd = 4, weedState = 28},
		{ stateStart = 5, stateEnd = 5, weedState = 19},
		{ stateStart = 6, stateEnd = 6, weedState = 33},
		{ stateStart = 13, stateEnd = 17, weedState = 2},
		{ stateStart = 18, stateEnd = 28, weedState = 32},
		{ stateStart = 29, stateEnd = 29, weedState = 34},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	SUMMERMIX = {
		{ stateStart = 4, stateEnd = 4, weedState = 28},
		{ stateStart = 5, stateEnd = 5, weedState = 19},
		{ stateStart = 6, stateEnd = 6, weedState = 33},
		{ stateStart = 13, stateEnd = 17, weedState = 2},
		{ stateStart = 18, stateEnd = 28, weedState = 32},
		{ stateStart = 29, stateEnd = 29, weedState = 34},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	SOLARIGOL = {
		{ stateStart = 4, stateEnd = 4, weedState = 28},
		{ stateStart = 5, stateEnd = 5, weedState = 19},
		{ stateStart = 6, stateEnd = 6, weedState = 33},
		{ stateStart = 13, stateEnd = 17, weedState = 2},
		{ stateStart = 18, stateEnd = 28, weedState = 32},
		{ stateStart = 29, stateEnd = 29, weedState = 34},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	BETAMAXX = {
		{ stateStart = 4, stateEnd = 4, weedState = 28},
		{ stateStart = 5, stateEnd = 5, weedState = 19},
		{ stateStart = 6, stateEnd = 6, weedState = 33},
		{ stateStart = 13, stateEnd = 17, weedState = 2},
		{ stateStart = 18, stateEnd = 28, weedState = 32},
		{ stateStart = 29, stateEnd = 29, weedState = 34},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	WINTERMIX = {
		{ stateStart = 4, stateEnd = 4, weedState = 28},
		{ stateStart = 5, stateEnd = 5, weedState = 19},
		{ stateStart = 6, stateEnd = 6, weedState = 36},
		{ stateStart = 13, stateEnd = 17, weedState = 2},
		{ stateStart = 18, stateEnd = 28, weedState = 35},
		{ stateStart = 29, stateEnd = 29, weedState = 37},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	FLOWERMIX = {
		{ stateStart = 4, stateEnd = 4, weedState = 28},
		{ stateStart = 5, stateEnd = 5, weedState = 19},
		{ stateStart = 6, stateEnd = 6, weedState = 36},
		{ stateStart = 13, stateEnd = 17, weedState = 2},
		{ stateStart = 18, stateEnd = 28, weedState = 35},
		{ stateStart = 29, stateEnd = 29, weedState = 37},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	NFIXX = {
		{ stateStart = 4, stateEnd = 4, weedState = 28},
		{ stateStart = 5, stateEnd = 5, weedState = 19},
		{ stateStart = 6, stateEnd = 6, weedState = 36},
		{ stateStart = 13, stateEnd = 17, weedState = 2},
		{ stateStart = 18, stateEnd = 28, weedState = 35},
		{ stateStart = 29, stateEnd = 29, weedState = 37},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	LANDSBERGERGEMENGE = {
		{ stateStart = 4, stateEnd = 4, weedState = 28},
		{ stateStart = 5, stateEnd = 5, weedState = 19},
		{ stateStart = 6, stateEnd = 6, weedState = 36},
		{ stateStart = 13, stateEnd = 17, weedState = 2},
		{ stateStart = 18, stateEnd = 28, weedState = 35},
		{ stateStart = 29, stateEnd = 29, weedState = 37},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	MUSTARD = {
		{ stateStart = 4, stateEnd = 4, weedState = 28},
		{ stateStart = 5, stateEnd = 5, weedState = 19},
		{ stateStart = 6, stateEnd = 6, weedState = 39},
		{ stateStart = 13, stateEnd = 17, weedState = 2},
		{ stateStart = 18, stateEnd = 28, weedState = 38},
		{ stateStart = 29, stateEnd = 29, weedState = 40},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	WHEAT = {
		{ stateStart = 30, stateEnd = 31, weedState = 19}
	},
	WINTERWHEAT = {
		{ stateStart = 30, stateEnd = 31, weedState = 19}
	},
	BARLEY = {
		{ stateStart = 30, stateEnd = 31, weedState = 19}
	},
	WINTERBARLEY = {
		{ stateStart = 30, stateEnd = 31, weedState = 19}
	},
	TRITICALE = {
		{ stateStart = 30, stateEnd = 31, weedState = 19}
	},
	SPELT = {
		{ stateStart = 30, stateEnd = 31, weedState = 19}
	},
	RYE = {
		{ stateStart = 30, stateEnd = 31, weedState = 19}
	},
	OAT = {
		{ stateStart = 30, stateEnd = 31, weedState = 19}
	},
	LUPINE = {
		{ stateStart = 30, stateEnd = 31, weedState = 19}
	},
	VETCHRYE = {
		{ stateStart = 30, stateEnd = 31, weedState = 19}
	},
	LINSEED = {
		{ stateStart = 30, stateEnd = 31, weedState = 19}
	},
	MAIZE = {
		{ stateStart = 29, stateEnd = 31, weedState = 23}
	},
	SILAGEMAIZE = {
		{ stateStart = 29, stateEnd = 31, weedState = 23}
	},
	SILAGESORGHUM = {
		{ stateStart = 29, stateEnd = 31, weedState = 23}
	},
	SUNFLOWER = {
		{ stateStart = 29, stateEnd = 31, weedState = 23}
	},
	CANOLA = {
		{ stateStart = 29, stateEnd = 31, weedState = 25}
	},
	SORGHUM = {
		{ stateStart = 30, stateEnd = 30, weedState = 21}
	},
	ALFALFA = {
		{ stateStart = 17, stateEnd = 29, weedState = 27},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	CLOVER = {
		{ stateStart = 17, stateEnd = 29, weedState = 27},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	CLOVERGRASS = {
		{ stateStart = 18, stateEnd = 29, weedState = 27},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	FIELDGRASS = {
		{ stateStart = 17, stateEnd = 29, weedState = 27},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	GRASS = {
		{ stateStart = 18, stateEnd = 29, weedState = 27},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	HERBGRASS = {
		{ stateStart = 18, stateEnd = 29, weedState = 27},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	HORSEGRASS = {
		{ stateStart = 18, stateEnd = 29, weedState = 27},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	MEADOW = {
		{ stateStart = 18, stateEnd = 29, weedState = 27},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	},
	PASTUREGRASS = {
		{ stateStart = 17, stateEnd = 29, weedState = 27},
		{ stateStart = 30, stateEnd = 31, weedState = 27}
	}
}
NoTillSowingMachine.notTillGreenFruits = {
	OILSEEDRADISH = true,
	MAISMIX = true,
	SUMMERMIX = true,
	SOLARIGOL = true,
	BETAMAXX = true,
	WINTERMIX = true,
	FLOWERMIX = true,
	NFIXX = true,
	LANDSBERGERGEMENGE = true,
	MUSTARD = true,
	ALFALFA = true,
	CLOVER = true,
	CLOVERGRASS = true,
	FIELDGRASS = true,
	GRASS = true,
	HERBGRASS = true,
	HORSEGRASS = true,
	MEADOW = true,
	PASTUREGRASS = true
}
-- TerraLiveExtension.DebugTable("notTillGreenFruits", NoTillSowingMachine.notTillGreenFruits)

function NoTillSowingMachine.initSpecialization()

end

function NoTillSowingMachine.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(SowingMachine, specializations)
end

function NoTillSowingMachine.registerOverwrittenFunctions(vehicleType)
	SpecializationUtil.registerOverwrittenFunction(vehicleType, "processSowingMachineArea", NoTillSowingMachine.processSowingMachineArea)
end

function NoTillSowingMachine:processSowingMachineArea(superFunc, workArea, dt)
	local spec = self.spec_sowingMachine
	local changedArea = 0
	local totalArea = 0
	spec.isWorking = self:getLastSpeed() > 0.5

	if not spec.workAreaParameters.isActive then
		return changedArea, totalArea
	end

	if (not self:getIsAIActive() or not g_currentMission.missionInfo.helperBuySeeds) and spec.workAreaParameters.seedsVehicle == nil then
		if self:getIsAIActive() then
			local rootVehicle = self.rootVehicle

			rootVehicle:stopCurrentAIJob(AIMessageErrorOutOfFill.new())
		end

		return changedArea, totalArea
	end

	if not spec.workAreaParameters.canFruitBePlanted then
		return changedArea, totalArea
	end

	local sx, _, sz = getWorldTranslation(workArea.start)
	local wx, _, wz = getWorldTranslation(workArea.width)
	local hx, _, hz = getWorldTranslation(workArea.height)
	spec.isProcessing = spec.isWorking

	local area, _ = FSDensityMapUtil.updateNoTillSowingArea(spec.workAreaParameters.seedsFruitType, sx, sz, wx, wz, hx, hz, spec.workAreaParameters.fieldGroundType, spec.workAreaParameters.angle, nil)
	changedArea = changedArea + area

	if spec.isWorking then
		spec.stoneLastState = FSDensityMapUtil.getStoneArea(sx, sz, wx, wz, hx, hz)
	else
		spec.stoneLastState = 0
	end

	spec.workAreaParameters.lastChangedArea = spec.workAreaParameters.lastChangedArea + changedArea
	spec.workAreaParameters.lastStatsArea = spec.workAreaParameters.lastStatsArea + changedArea
	spec.workAreaParameters.lastTotalArea = spec.workAreaParameters.lastTotalArea + totalArea

	FSDensityMapUtil.eraseTireTrack(sx, sz, wx, wz, hx, hz)
	self:updateMissionSowingWarning(sx, sz)
	
	-- making NoTill PF Bonus ready
	if changedArea > 0 and self.getPFStatisticInfo ~= nil then
		local _, _, farmlandId = self:getPFStatisticInfo()

		if farmlandId ~= nil then
			FS22_precisionFarming.g_precisionFarming.environmentalScore.scoreObjects.EnvironmentalScoreTillage:addWorkedArea(farmlandId, changedArea, 3)
		end
	end

	return changedArea, totalArea
end



function FSDensityMapUtil.updateNoTillSowingArea(fruitIndex, startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ, fieldGroundType, angle, growthState, blockedSprayTypeIndex)

	--[[ Besprochen mit Robert
- Ziel Groundtype sind 3 state (gelb, grün und braun)
- Diese werden hinten angehängt, also abfrage sowable groundtype kleiner 19
- Pflanzenabhängig groundchange auf groundtypes 19,20 oder 21
- Definition im Skript welche Fruchtart welchen groundtypevalue bekommt (19 oder 20), was nicht definiert ist und ohne frucht bekommt 21
- zum testen 16,17,18

Aber als alternative idee
- Notill so wie direct sown aber mit
- fruchtbahängige definitions des zielgroundtypes auf stubbleTillage oder greenStubbleTillage
- bei der grounttype definition dann mit greenStubbleTillageFilter auf notill (jetzt macht der stubbleTillageFilter den stubbleTillage zu directSown)
- setNoTillSowingWeedArea dabei behalten
	]]-- 
	local fruitTypeManager = g_fruitTypeManager
	local desc = fruitTypeManager:getFruitTypeByIndex(fruitIndex)

	if desc.terrainDataPlaneId == nil then
		return 0, 0
	end

	angle = angle or 0
	growthState = growthState or 1
	local functionData = FSDensityMapUtil.functionCache.updateNoTillSowingArea

	if functionData == nil then
		local terrainRootNode = g_currentMission.terrainRootNode
		local fieldGroundSystem = g_currentMission.fieldGroundSystem
		local groundTypeMapId, groundTypeFirstChannel, groundTypeNumChannels = fieldGroundSystem:getDensityMapData(FieldDensityMap.GROUND_TYPE)
		local groundAngleMapId, groundAngleFirstChannel, groundAngleNumChannels = fieldGroundSystem:getDensityMapData(FieldDensityMap.GROUND_ANGLE)
		local sprayLevelMapId, sprayLevelFirstChannel, sprayLevelNumChannels = fieldGroundSystem:getDensityMapData(FieldDensityMap.SPRAY_LEVEL)
		local sprayLevelMaxValue = fieldGroundSystem:getMaxValue(FieldDensityMap.SPRAY_LEVEL)
		local sprayTypeMapId, sprayTypeFirstChannel, sprayTypeNumChannels = fieldGroundSystem:getDensityMapData(FieldDensityMap.SPRAY_TYPE)
		local sownType = fieldGroundSystem:getFieldGroundValue(FieldGroundType.SOWN)
		local directSownType = fieldGroundSystem:getFieldGroundValue(FieldGroundType.STUBBLE_NOTILL)
		local noTillType = fieldGroundSystem:getFieldGroundValue(FieldGroundType.NOTILL)
		local ridgeType = fieldGroundSystem:getFieldGroundValue(FieldGroundType.RIDGE)
		local stubbleTillagedType = fieldGroundSystem:getFieldGroundValue(FieldGroundType.STUBBLE_TILLAGE)
		local greenStubbleTillagedType = fieldGroundSystem:getFieldGroundValue(FieldGroundType.GREENSTUBBLE_TILLAGE)
		local firstSowableValue, lastSowableValue = fieldGroundSystem:getSowableRange()
		local firstSowingValue, lastSowingValue = fieldGroundSystem:getSowingRange()
		local rollerLevelMapId, rollerLevelFirstChannel, rollerLevelNumChannels = fieldGroundSystem:getDensityMapData(FieldDensityMap.ROLLER_LEVEL)
		local rollerLevelMaxValue = fieldGroundSystem:getMaxValue(FieldDensityMap.ROLLER_LEVEL)
		local plowLevelMapId, plowLevelFirstChannel, plowLevelNumChannels = fieldGroundSystem:getDensityMapData(FieldDensityMap.PLOW_LEVEL)
		functionData = {
			multiModifiers = {},
			fruitModifiers = {},
			fruitFilters = {},
			sprayLevelModifier = DensityMapModifier.new(sprayLevelMapId, sprayLevelFirstChannel, sprayLevelNumChannels, terrainRootNode),
			sprayLevelFilter = DensityMapFilter.new(sprayLevelMapId, sprayLevelFirstChannel, sprayLevelNumChannels),
			plowLevelModifier = DensityMapModifier.new(plowLevelMapId, plowLevelFirstChannel, plowLevelNumChannels, terrainRootNode),
			plowLevelFilter = DensityMapFilter.new(plowLevelMapId, plowLevelFirstChannel, plowLevelNumChannels, terrainRootNode)
		}

		functionData.sprayLevelFilter:setValueCompareParams(DensityValueCompareType.BETWEEN, 0, sprayLevelMaxValue - 1)
		
		functionData.plowLevelFilter:setValueCompareParams(DensityValueCompareType.EQUAL, 0)

		functionData.sprayTypeModifier = DensityMapModifier.new(sprayTypeMapId, sprayTypeFirstChannel, sprayTypeNumChannels, terrainRootNode)
		functionData.groundTypeModifier = DensityMapModifier.new(groundTypeMapId, groundTypeFirstChannel, groundTypeNumChannels, terrainRootNode)
		functionData.groundAngleModifier = DensityMapModifier.new(groundAngleMapId, groundAngleFirstChannel, groundAngleNumChannels, terrainRootNode)
		functionData.fieldFilter = DensityMapFilter.new(groundTypeMapId, groundTypeFirstChannel, groundTypeNumChannels)

		functionData.fieldFilter:setValueCompareParams(DensityValueCompareType.GREATER, 0)

		functionData.sowableFilter = DensityMapFilter.new(groundTypeMapId, groundTypeFirstChannel, groundTypeNumChannels)

		functionData.sowableFilter:setValueCompareParams(DensityValueCompareType.BETWEEN, firstSowableValue, lastSowableValue)

		functionData.sowingFilter = DensityMapFilter.new(groundTypeMapId, groundTypeFirstChannel, groundTypeNumChannels, terrainRootNode)

		functionData.sowingFilter:setValueCompareParams(DensityValueCompareType.BETWEEN, firstSowingValue, lastSowingValue)

		functionData.stubbleTillageFilter = DensityMapFilter.new(groundTypeMapId, groundTypeFirstChannel, groundTypeNumChannels, terrainRootNode)

		functionData.stubbleTillageFilter:setValueCompareParams(DensityValueCompareType.EQUAL, stubbleTillagedType)

		functionData.greenStubbleTillageFilter = DensityMapFilter.new(groundTypeMapId, groundTypeFirstChannel, groundTypeNumChannels, terrainRootNode)

		functionData.greenStubbleTillageFilter:setValueCompareParams(DensityValueCompareType.EQUAL, greenStubbleTillagedType)

		functionData.directSownFilter = DensityMapFilter.new(groundTypeMapId, groundTypeFirstChannel, groundTypeNumChannels)

		functionData.directSownFilter:setValueCompareParams(DensityValueCompareType.EQUAL, directSownType)

		functionData.noTillFilter = DensityMapFilter.new(groundTypeMapId, groundTypeFirstChannel, groundTypeNumChannels)

		functionData.noTillFilter:setValueCompareParams(DensityValueCompareType.EQUAL, noTillType)

		functionData.sownFilter = DensityMapFilter.new(groundTypeMapId, groundTypeFirstChannel, groundTypeNumChannels)

		functionData.sownFilter:setValueCompareParams(DensityValueCompareType.EQUAL, sownType)

		if Platform.gameplay.useRolling then
			functionData.rollerLevelModifier = DensityMapModifier.new(rollerLevelMapId, rollerLevelFirstChannel, rollerLevelNumChannels, terrainRootNode)
			functionData.rollerLevelMaxValue = rollerLevelMaxValue
		end

		functionData.sownType = sownType
		functionData.directSownType = directSownType
		functionData.noTillType = noTillType
		functionData.ridgeType = ridgeType
		FSDensityMapUtil.functionCache.updateNoTillSowingArea = functionData
	end

	local sowableFilter = functionData.sowableFilter
	local sowingFilter = functionData.sowingFilter
	local fieldFilter = functionData.fieldFilter
	local ridgeType = functionData.ridgeType
	local directSownType = functionData.directSownType
	local noTillType = functionData.noTillType
	local stubbleTillageFilter = functionData.stubbleTillageFilter
	local greenStubbleTillageFilter = functionData.greenStubbleTillageFilter
	local directSownFilter = functionData.directSownFilter
	local noTillFilter = functionData.noTillFilter
	local sownFilter = functionData.sownFilter
	local sprayLevelModifier = functionData.sprayLevelModifier
	local sprayLevelFilter = functionData.sprayLevelFilter
	local sprayTypeModifier = functionData.sprayTypeModifier
	local groundTypeModifier = functionData.groundTypeModifier
	local groundAngleModifier = functionData.groundAngleModifier
	local fruitMultiModifier = functionData.multiModifiers[fruitIndex]
	local fruitModifier = functionData.fruitModifiers[fruitIndex]
	local terrainRootNode = g_currentMission.terrainRootNode
	local rollerLevelModifier = functionData.rollerLevelModifier
	local rollerLevelMaxValue = functionData.rollerLevelMaxValue
	local plowLevelModifier = functionData.plowLevelModifier
	local plowLevelFilter = functionData.plowLevelFilter

	if fruitMultiModifier == nil then
		fruitMultiModifier = {}
		functionData.multiModifiers[fruitIndex] = fruitMultiModifier
		fruitModifier = DensityMapModifier.new(desc.terrainDataPlaneId, desc.startStateChannel, desc.numStateChannels, terrainRootNode)
		functionData.fruitModifiers[fruitIndex] = fruitModifier
	end

	local multiModifier = fruitMultiModifier[growthState]

	if multiModifier == nil then
		local fieldGroundSystem = g_currentMission.fieldGroundSystem
		local stubbleTillagedType = fieldGroundSystem:getFieldGroundValue(FieldGroundType.STUBBLE_TILLAGE)
		local greenStubbleTillagedType = fieldGroundSystem:getFieldGroundValue(FieldGroundType.GREENSTUBBLE_TILLAGE)
		multiModifier = DensityMapMultiModifier.new()
		fruitMultiModifier[growthState] = multiModifier

		for index, fruitDesc in pairs(fruitTypeManager:getFruitTypes()) do
			if fruitDesc.terrainDataPlaneId ~= nil and fruitDesc.destruction.canBeDestroyed then
				local fruitFilter = functionData.fruitFilters[index]

				if fruitFilter == nil then
					fruitFilter = DensityMapFilter.new(fruitDesc.terrainDataPlaneId, desc.startStateChannel, desc.numStateChannels, terrainRootNode)
					functionData.fruitFilters[index] = fruitFilter
				end

				if fruitDesc.cutState > 1 then
					fruitFilter:setValueCompareParams(DensityValueCompareType.BETWEEN, 2, fruitDesc.cutState - 1)
					multiModifier:addExecuteAdd(1, sprayLevelModifier, sprayLevelFilter, fieldFilter, fruitFilter)
					multiModifier:addExecuteSet(1, sprayTypeModifier, fieldFilter, fruitFilter)
				end
				
				-- bestimmen ob green oder nicht
				local targetGroundType = stubbleTillagedType;
				if NoTillSowingMachine.notTillGreenFruits[fruitDesc.name] ~= nil then
					targetGroundType = greenStubbleTillagedType;
				end

				if fruitDesc.allowsSeeding then
					if index ~= fruitIndex then
						fruitFilter:setValueCompareParams(DensityValueCompareType.GREATER, 0)
						multiModifier:addExecuteSet(targetGroundType, groundTypeModifier, fieldFilter, fruitFilter)
					else
						fruitFilter:setValueCompareParams(DensityValueCompareType.BETWEEN, growthState + 1, math.max(fruitDesc.maxHarvestingGrowthState, fruitDesc.cutState))
						multiModifier:addExecuteSet(targetGroundType, groundTypeModifier, fieldFilter, fruitFilter)
					end

					if fruitDesc.mulcher.state ~= nil and fruitDesc.mulcher.state > 0 and fruitDesc.mulcher.state ~= growthState then
						fruitFilter:setValueCompareParams(DensityValueCompareType.EQUAL, fruitDesc.mulcher.state)
						multiModifier:addExecuteSet(targetGroundType, groundTypeModifier, fieldFilter, fruitFilter)
					end
				end

				local modifier = functionData.fruitModifiers[index]

				if modifier == nil then
					modifier = DensityMapModifier.new(fruitDesc.terrainDataPlaneId, desc.startStateChannel, desc.numStateChannels, terrainRootNode)
					functionData.fruitModifiers[index] = modifier
				end

				if index ~= fruitIndex then
					fruitFilter:setValueCompareParams(DensityValueCompareType.BETWEEN, 2, math.max(fruitDesc.maxHarvestingGrowthState, fruitDesc.cutState))
				else
					fruitFilter:setValueCompareParams(DensityValueCompareType.BETWEEN, growthState + 1, math.max(fruitDesc.maxHarvestingGrowthState, fruitDesc.cutState))
				end

				multiModifier:addExecuteSet(0, modifier, fruitFilter, fieldFilter)
			end
		end
	end
	
	-- Das neue Weed
	FSDensityMapUtil.setNoTillSowingWeedArea(startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ, DensityCoordType.POINT_POINT_POINT)

	fruitModifier:setParallelogramWorldCoords(startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ, DensityCoordType.POINT_POINT_POINT)
	groundTypeModifier:setParallelogramWorldCoords(startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ, DensityCoordType.POINT_POINT_POINT)
	groundAngleModifier:setParallelogramWorldCoords(startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ, DensityCoordType.POINT_POINT_POINT)
	plowLevelModifier:setParallelogramWorldCoords(startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ, DensityCoordType.POINT_POINT_POINT)
	multiModifier:updateParallelogramWorldCoords(startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ, DensityCoordType.POINT_POINT_POINT)
	multiModifier:execute(false)

	-- Das alte Weed braucht keiner mehr, nachher raus löschen
	-- if g_currentMission.missionInfo.weedsEnabled and desc.plantsWeed then
		-- FSDensityMapUtil.setSowingWeedArea(startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ, DensityCoordType.POINT_POINT_POINT)
	-- else
		-- FSDensityMapUtil.removeWeedArea(startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ)
	-- end

	if Platform.gameplay.useRolling then
		rollerLevelModifier:setParallelogramWorldCoords(startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ, DensityCoordType.POINT_POINT_POINT)

		local rollerLevelValue = 0

		-- disable rolling for notill, because makes no sense to roll anything notill seeded.
		-- if desc.needsRolling then
			-- rollerLevelValue = rollerLevelMaxValue
		-- end

		rollerLevelModifier:executeSet(rollerLevelValue, sowableFilter)
	end

	if g_currentMission.missionInfo.plowingRequiredEnabled then
		plowLevelModifier:executeAdd(1, plowLevelFilter)
	end

	local _, changedArea, totalArea = fruitModifier:executeSet(growthState, sowableFilter)

	if fieldGroundType ~= ridgeType then
		groundTypeModifier:executeSet(directSownType, sowableFilter, stubbleTillageFilter)
		groundTypeModifier:executeSet(noTillType, sowableFilter, greenStubbleTillageFilter)

		local _, directArea, totalSownArea = groundTypeModifier:executeGet(directSownFilter)

		if totalSownArea > 0 and directArea / totalSownArea > 0.5 then
			groundTypeModifier:executeSet(directSownType, sownFilter)
		end
		
		local _, directArea, totalSownArea = groundTypeModifier:executeGet(noTillFilter)

		if totalSownArea > 0 and directArea / totalSownArea > 0.5 then
			groundTypeModifier:executeSet(noTillType, sownFilter)
		end
	end

	groundTypeModifier:executeSet(fieldGroundType, sowableFilter)
	groundAngleModifier:executeSet(angle, sowingFilter)
	FSDensityMapUtil.removeSprayArea(startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ, blockedSprayTypeIndex)
	DensityMapHeightUtil.clearArea(startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ)

	return changedArea, totalArea
end


function FSDensityMapUtil.setNoTillSowingWeedArea(startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ)
	local weedSystem = g_currentMission.weedSystem

	if weedSystem:getMapHasWeed() then
		local functionData = FSDensityMapUtil.functionCache.setNoTillSowingWeedArea

		if functionData == nil then
			local terrainRootNode = g_currentMission.terrainRootNode
			local weedMapId, weedFirstChannel, weedNumChannels = weedSystem:getDensityMapData()
			local infoId, _, _ = weedSystem:getInfoLayerData()
			local blockingStateValue, blockingStateFirstChannel, blockingStateNumChannels = weedSystem:getBlockingStateData()
			functionData = {
				weedModifier = DensityMapModifier.new(weedMapId, weedFirstChannel, weedNumChannels, terrainRootNode),
				notBlockedFilter = DensityMapFilter.new(infoId, blockingStateFirstChannel, blockingStateNumChannels, terrainRootNode),
				fruitFilters = {}
			}

			functionData.notBlockedFilter:setValueCompareParams(DensityValueCompareType.NOTEQUAL, blockingStateValue)
			
			-- multimodifier needed
			functionData.multiModifier = DensityMapMultiModifier.new()
			for index, fruitDesc in pairs(g_fruitTypeManager:getFruitTypes()) do
				local weedStateChanges = NoTillSowingMachine.weedStateChanges[fruitDesc.name];
				if fruitDesc.terrainDataPlaneId ~= nil and fruitDesc.destruction.canBeDestroyed and weedStateChanges ~= nil then
					
					local fruitFilter = functionData.fruitFilters[index]

					if fruitFilter == nil then
						fruitFilter = DensityMapFilter.new(fruitDesc.terrainDataPlaneId, fruitDesc.startStateChannel, fruitDesc.numStateChannels, terrainRootNode)
						functionData.fruitFilters[index] = fruitFilter
					end
				
					for i, weedStateChange in pairs(weedStateChanges) do
						fruitFilter:setValueCompareParams(DensityValueCompareType.BETWEEN, weedStateChange.stateStart, weedStateChange.stateEnd)
						functionData.multiModifier:addExecuteSet(weedStateChange.weedState, functionData.weedModifier, functionData.notBlockedFilter, fruitFilter)
					end
				end
			end
			
			FSDensityMapUtil.functionCache.setNoTillSowingWeedArea = functionData
		end

		local multiModifier = functionData.multiModifier

		multiModifier:updateParallelogramWorldCoords(startWorldX, startWorldZ, widthWorldX, widthWorldZ, heightWorldX, heightWorldZ, DensityCoordType.POINT_POINT_POINT)
		multiModifier:execute(false)
	end
end
