

TLReceivingHopperExtension = {}
function TLReceivingHopperExtension:onLoad(superFunc, savegame)

	local xmlFile = self.xmlFile;

	-- filename="$moddir$FS22_GrimmePack/lizard/ConveyorLoader/ConveyorLoader.xml"
	if string.find(xmlFile.filename, "FS22_GrimmePack") and string.find(xmlFile.filename, "GBF5500.xml") then
		Logging.devInfo("ChangeVehicle xmlFile: " .. xmlFile.filename);
		
		xmlFile:setValue("vehicle.receivingHopper.boxes.box(0)#fillType", "POTATO")
		xmlFile:setValue("vehicle.receivingHopper.boxes.box(0)#filename", "grimme/BoxFiller/boxFiller.xml")
		
		xmlFile:setValue("vehicle.receivingHopper.boxes.box(1)#fillType", "STARCHPOTATO")
		xmlFile:setValue("vehicle.receivingHopper.boxes.box(1)#filename", "grimme/BoxFiller/boxFiller.xml")
		
		xmlFile:setValue("vehicle.receivingHopper.boxes.box(2)#fillType", "SUGARBEET")
		xmlFile:setValue("vehicle.receivingHopper.boxes.box(2)#filename", "grimme/BoxFiller/boxFiller.xml")
		
		xmlFile:setValue("vehicle.receivingHopper.boxes.box(3)#fillType", "ONION")
		xmlFile:setValue("vehicle.receivingHopper.boxes.box(3)#filename", "grimme/BoxFiller/boxFiller.xml")
	end
	
	return superFunc(self, savegame) 
end

ReceivingHopper.onLoad = Utils.overwrittenFunction(ReceivingHopper.onLoad, TLReceivingHopperExtension.onLoad)